Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.media.sound
Class SoftMixingDataLine

    java.lang.Object
      com.sun.media.sound.SoftMixingDataLine

All Implemented Interfaces:
  javax.sound.sampled.DataLine, javax.sound.sampled.Line

Direct Known Subclasses:
  SoftMixingClip, SoftMixingSourceDataLine

    public abstract class SoftMixingDataLine

extends java.lang.Object
implements javax.sound.sampled.DataLine

General software mixing line.

Author:
  Karl Helgason

Nested Class Summary

Nested classes/interfaces inherited from interface javax.sound.sampled.DataLine
`javax.sound.sampled.DataLine.Info`

Field Summary
`static javax.sound.sampled.FloatControl.Type` | `CHORUS_SEND`

Method Summary
`void` | `addLineListener(javax.sound.sampled.LineListener listener)`
`javax.sound.sampled.Control` | `getControl(javax.sound.sampled.Control.Type control)`
`javax.sound.sampled.Control[]` | `getControls()`
`javax.sound.sampled.Line.Info` | `getLineInfo()`
`boolean` | `isControlSupported(javax.sound.sampled.Control.Type control)`
`void` | `removeLineListener(javax.sound.sampled.LineListener listener)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.sound.sampled.DataLine
`available, drain, flush, getBufferSize, getFormat, getFramePosition, getLevel, getLongFramePosition, getMicrosecondPosition, isActive, isRunning, start, stop`

Methods inherited from interface javax.sound.sampled.Line
`close, isOpen, open`

Field Detail

### CHORUS_SEND

    public static final javax.sound.sampled.FloatControl.Type CHORUS_SEND

Method Detail

### addLineListener

    public void addLineListener(javax.sound.sampled.LineListener listener)

  Specified by:
    `addLineListener` in interface `javax.sound.sampled.Line`

### removeLineListener

    public void removeLineListener(javax.sound.sampled.LineListener listener)

  Specified by:
    `removeLineListener` in interface `javax.sound.sampled.Line`

### getLineInfo

    public javax.sound.sampled.Line.Info getLineInfo()

  Specified by:
    `getLineInfo` in interface `javax.sound.sampled.Line`

### getControl

    public javax.sound.sampled.Control getControl(javax.sound.sampled.Control.Type control)

  Specified by:
    `getControl` in interface `javax.sound.sampled.Line`

### getControls

    public javax.sound.sampled.Control[] getControls()

  Specified by:
    `getControls` in interface `javax.sound.sampled.Line`

### isControlSupported

    public boolean isControlSupported(javax.sound.sampled.Control.Type control)

  Specified by:
    `isControlSupported` in interface `javax.sound.sampled.Line`

Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD